<?php
// REGISTER BLOCK


// structure
$defaults = array(
	'gid' => array(
		'label'		=> __('Images source', GG_ML),
		'type'		=> 'select',
		'opts'		=> array('' => __('Select a gallery', GG_ML)) + $GLOBALS['gg_guten_galls'],
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'width' => array(
		'label'		=> __("Slider's width", GG_ML),
		'type'		=> 'slider',
		'min'		=> 20,
		'max'		=> 1000,
		'default' 	=> 100,
		'panel'		=> 'main',
	),
	'w_type' => array(
		'label'		=> __("Width's unit type", GG_ML),
		'type'		=> 'select',
		'opts'		=> array(
			'px'	=> 'px (static)',
			'%'		=> '% (responsive)',
		),
		'default' 	=> '%',
		'panel'		=> 'main',
	),
	'height' => array(
		'label'		=> __("Slider's height", GG_ML),
		'type'		=> 'slider',
		'min'		=> 20,
		'max'		=> 1000,
		'default' 	=> 55,
		'panel'		=> 'main',
	),
	'h_type' => array(
		'label'		=> __("Height's unit type", GG_ML),
		'type'		=> 'select',
		'opts'		=> array(
			'px'	=> 'px (static)',
			'%'		=> '% (responsive)',
		),
		'default' 	=> '%',
		'panel'		=> 'main',
	),
	'random' => array(
		'label'		=> __('Random display?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'watermark' => array(
		'label'		=> __('Use watermark?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'autoplay' => array(
		'label'		=> __('Autoplay slider?', GG_ML),
		'type'		=> 'select',
		'opts'		=> array(
			'auto'	=> __('as default', GG_ML),
			'1'		=> __('Yes'),
			'0'		=> __('No'),
		),
		'default' 	=> 'auto',
		'panel'		=> 'main',
	),
);




$defaults = gg_fix_block_defs($defaults);

register_block_type('lcweb/g-slider', array(
	'editor_script' 	=> 'gg_slider_on_guten',
	'render_callback' 	=> 'gg_slider_guten_handler',
	'attributes' 		=> $defaults
));


wp_localize_script('wp-blocks', 'gg_slider_defaults', $defaults);
