<?php

/**
 * Element Controls
 */
 

/* FIELDS */
$fields =  array(
	'gid' => array(
		'type'    => 'select',
		'ui' => array(
			'title'   => __('Gallery', GG_ML),
			'tooltip' => '',
		),
		'options' => array(
			'choices' => $GLOBALS['gg_galls_arr']
		),
	),

	'random' => array(
		'type'    => 'toggle',
		'ui' => array(
			'title'   => __('Random display?', GG_ML),
			'tooltip' => __('Display images randomly', GG_ML),
		),
	),
	
	'watermark' => array(
		'type'    => 'toggle',
		'ui' => array(
			'title'   => __('Use Watermark?', GG_ML),
			'tooltip' => __('Apply watermark to images (if available)', GG_ML),
		),
	),

	'filters' => array(
		'type'    => 'toggle',
		'ui' => array(
			'title'   => __('Use tags filter?', GG_ML),
			'tooltip' => '',
		),
	),
	
	'search' => array(
		'type'    => 'toggle',
		'ui' => array(
			'title'   => __('Enable search?', GG_ML),
			'tooltip' => '',
		),
	),

	'pagination' => array(
		'type'    => 'select',
		'ui' => array(
			'title'   => __('Pagination System', GG_ML),
			'tooltip' => '',
		),
		'options' => array(
			'choices' => array(
				array('value' => '', 			'label' => __('Auto - follow global settings', GG_ML)),
				array('value' => 'standard', 	'label' => __('Standard', GG_ML)),
				array('value' => 'inf_scroll',	'label' => __('Infinite scroll', GG_ML)),
			)
		),
	),
);


return $fields;
